Add quick filter "Assigned to me" to saved issue filters

2012-02-02 23:18 - Dariusz Kowalski

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Fixed   

Description

We have created some predefined filters at issue page (by Category, by Status, by Target version). By default they show issues

assigned to all users. If I would like to use this filters to show issues assigned to me, I can:

1. add new filter Assigned to: <<me>>

2. add new filter Assigned to: <<me>> and save it as new predefined filter.

Option 1 consumed some time and it isn't comfortable.

Option 2 cause that We have many saved filters and mess at sitebar.

Proposed solution is to add to sitebar checkbox:  'Assigned to me'

When checkbox is selected all saved filters will use additional filter: "assigned to me", otherwise they will work as defined.

Related issues:

Related to Redmine - Feature #33296: Load default custom queries when running... Closed

History

#1 - 2012-02-03 09:15 - Etienne Massip

- Description updated

I think that the solution is to clean up your saved query list.

#2 - 2023-05-05 10:29 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Fixed

In new installations of Redmine 4.2 and later, the sidebar of the Issues page has some queries by default including "Issues assigned to me" (#33296).

#3 - 2023-05-05 10:29 - Go MAEDA

- Related to Feature #33296: Load default custom queries when running redmine:load_default_data rake task added
